<?php declare(strict_types=1);

namespace Infomaker\Everyware\Twig\Extension;

use Twig\TwigTest;

/**
 * Class Tests
 * @package Infomaker\Everyware\Twig\Extension
 */
class Tests implements ExtensionResourceInterface
{
    /** @var array */
    private $tests = [];

    /**
     * @inheritDoc
     */
    public function addResource(string $name, $callable = null, array $options = []): void
    {
        $this->tests[$name] = new TwigTest($name, $callable, $options);
    }

    /**
     * @inheritDoc
     */
    public function getResourceList(): array
    {
        return $this->tests;
    }
}
