<?php declare(strict_types=1);

namespace Infomaker\Everyware\Twig\Tests;

use Infomaker\Everyware\Twig\Extension\ProjectExtension;
use Twig\Test\IntegrationTestCase;

/**
 * Class IntegrationTest
 * @package Infomaker\Everyware\Twig\Tests
 */
class IntegrationTest extends IntegrationTestCase
{
    public function getExtensions(): array
    {
        return [
            new ProjectExtension()
        ];
    }

    public function getFixturesDir(): string
    {
        return __DIR__ . '/Fixtures/';
    }

    public function getLegacyTests()
    {
        return $this->getTests('testLegacyIntegration', false);
    }
}
